### Method

# Ggit Repository set_submodule_update

#### Declaration [src]

    void
    ggit_repository_set_submodule_update (
      GgitRepository* repository,
      const gchar* name,
      GgitSubmoduleUpdate update,
      GError** error
    )

#### Description [src]

Sets the update rule for the submodule in the configuration. This setting won’t affect any existing instances.

#### Parameters

`name`

  Type: `const gchar*`

  The name of the submodule.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`update`

  Type: `GgitSubmoduleUpdate`

  A `GgitSubmoduleUpdate`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.